# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name citeproc-hs

# common part of summary for all the subpackages
%global common_summary Haskell Citation Style Language library

# main description used for all the subpackages
%global common_description citeproc-hs is a library for rendering bibliographic reference citations\
into a variety of styles using a macro language called\
Citation Style Language (CSL): http://citationstyles.org/.

Name:           ghc-%{pkg_name}
Version:        0.3.2
Release:        5%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-json-prof, ghc-mtl-prof, ghc-pandoc-types-prof, ghc-parsec-prof, ghc-syb-prof, ghc-utf8-string-prof, ghc-xml-prof, ghc-time-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

echo %{_datadir}/%{pkg_name}-%{version} >> ghc-citeproc-hs%{?ghc_without_shared:-devel}.files

# define the devel and prof subpkgs, devel post[un] scripts, and filelists:
# ghc-citeproc-hs{,devel,prof}.files
%ghc_lib_package


%changelog
* Wed Jul 27 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-5
- rebuild for xml-1.3.9

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-4
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Sat May 28 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-3
- rebuild for newer ghc-xml

* Tue May 24 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-2
- include locale files
- drop ghc_pkg_deps 
- fix macro in comment for rpmlint

* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.3.2-1
- BSD license
- long list of deps

* Tue May  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.6
